import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

import 'main_page.dart';

class FinishPrivatePage extends StatelessWidget {
  final int roomSeq;

  const FinishPrivatePage({
    Key? key,
    required this.roomSeq,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // 간단한 종료 안내 화면
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('게임 종료 (개인전)', style: TextStyle(color: Colors.white)),
        backgroundColor: Colors.black,
        leading: IconButton(
          icon: const Icon(Icons.arrow_back_ios, color: Colors.white),
          onPressed: () {
            Navigator.pushReplacement(context, MaterialPageRoute(builder: (_) => const MainPage()));
          },
        ),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            const Text('게임이 종료되었습니다.', style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold)),
            const SizedBox(height: 16),
            ElevatedButton(
              onPressed: () {
                // 메인 페이지로 이동
                Navigator.pushReplacement(context, MaterialPageRoute(builder: (_) => const MainPage()));
              },
              style: ElevatedButton.styleFrom(backgroundColor: Colors.black),
              child: const Text('메인으로', style: TextStyle(color: Colors.white)),
            ),
          ],
        ),
      ),
    );
  }
}
